﻿using System;
using System.IO;

class Program
{
    static void Main()
    {
        // Récupérer le chemin du dossier AppData de l'utilisateur
        string appDataPath = Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData);

        // Définir le chemin du dossier "mastermind" dans AppData
        string mastermindPath = Path.Combine(appDataPath, "Mastermind");

        // Vérifier si le dossier existe, et s'il n'existe pas, le créer
        if (!Directory.Exists(mastermindPath))
        {
            Directory.CreateDirectory(mastermindPath);
            Console.WriteLine("Le dossier 'mastermind' a été créé dans AppData.");
        }
        else
        {
            Console.WriteLine("Le dossier 'mastermind' existe déjà dans AppData.");
        }
    }
}
